> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get a concept scheme GET https://cdn.contentful.com/spaces/{space_id}/environments/{environment_id}/taxonomy/concept-schemes/{taxonomy_cda_concept_scheme_id} Returns a single concept scheme based on the given identifier. Reference: https://contentful.com/developers/docs/references/content-delivery-api/taxonomy/get-a-concept-scheme ## Request ### Path parameters - `space_id` (string, required) — ID of the space - `environment_id` (string, required) — ID of the environment - `taxonomy_cda_concept_scheme_id` (string, required) — ID of the concept scheme ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json { "concepts": [ { "sys": { "id": "5YRe68gqRx6QlLyEE00Ue6", "linkType": "TaxonomyConcept", "type": "Link" } } ], "definition": { "en-US": "" }, "prefLabel": { "en-US": "furniture" }, "sys": { "createdAt": "2025-08-04T19:53:50.000Z", "id": "7CzXPy6XvYYd0D7SomitgI", "type": "TaxonomyConceptScheme", "updatedAt": "2025-08-04T19:53:50.000Z", "version": 0 }, "topConcepts": [ { "sys": { "id": "5YRe68gqRx6QlLyEE00Ue6", "linkType": "TaxonomyConcept", "type": "Link" } } ], "totalConcepts": 1, "uri": null } ``` **SDK Code** ```android Android SDK currently doesn't implement this endpoint. ``` ```java Java SDK currently doesn't implement this endpoint. ``` ```kotlin Kotlin SDK currently doesn't implement this endpoint. ``` ```swift Swift SDK currently doesn't implement this endpoint. ``` ```javascript JavaScript import { createClient } from 'contentful-management' const client = createClient({ space: '', environment: '', // defaults to 'master' if not set accessToken: '' }) client.getConceptScheme('') .then((conceptScheme) => console.log(conceptScheme)) .catch(console.error) ``` ```php PHP SDK currently doesn't implement this endpoint. ``` ```ruby Ruby require 'contentful' client = Contentful::Client.new( space: '', access_token: '', environment: 'master', # Optional - defaults to 'master'. dynamic_entries: :auto # Enables Content Type caching. ) scheme = client.taxonomy_concept_scheme('') ``` ```python Python from contentful import Client client = Client( '', '', environment='master' # Optional - it defaults to 'master'. ) scheme = client.taxonomy_concept_scheme('') ``` ```.net .NET csharp // This client should only be created once per application. var httpClient = new HttpClient(); var client = new ContentfulClient(httpClient, "", "", ""); var conceptScheme = await client.GetTaxonomyConceptScheme(""); ```